Deyanat Limited

US Customs records for Deyanat Limited, a supplier based in Sri Lanka. See their past imports and exports, including shipments to Safe Food Corporation in Edgewater, Nj, an importer based on New York, New York.

Join ImportGenius to see the import/export activity of every company in United States. Track your competitors, get freight forwarding leads, enforce exclusivity agreements, learn more about your overseas factories, and much more. Instant signup.

Get United States data for $229
Total Shipments
8
Trading Partners
2
Top Partner
Safe Food Corporation
Ports
2
Top Port
New York/newark Area, Newark, New Jersey
Contact Info
Deyanat Limited
Kabul Jalalabad St, Pule Charkhi, Kabul Afghanistan

Deyanat Limited Records

Get a complete supplier history

Updated:

Overview

Total 8

Total Shipments

8
  • 1M
  • 3M
  • 6M
  • 1Y
  • 3Y
  • All
Nov 1, 2006 - Oct 27, 2019

Total shipments from Nov 1, 2006 to Oct 27, 2019

20062007200820092010201120122013201420152016201720182019
Supplier Shipments

Precise data and chart data points are only available to paid subscribers

Top Trading Partners

Top Ports

Legend
  • New York/Newark Area, Newark, New Jersey
  • New York, New York

Shipments

Latest 5 of 8
#Bill of LadingProductImporterArrival DateCountry of OriginGross Weight KGSQuantity
1MOLU14280173139
2000 Ctnafghan Selectprocessed Red Raisinscontainer Consisting Of 2000 Cartonseach Carton 12.50 Kgstotal 2000 CARTONS=25000 Kgsref RFC-206-31 Freight Prepaid
SAFE FOOD CORPORATIONJan 16, 2012Sri Lanka26,000 Kgs2000 CTN
2MOLU14280171096
2000 Ctnafghan Selectprocessed Red Raisinscontainer Consisting Of 2000 Cartonseach Carton 12.50 Kgstotal 2000 CARTONS=25000 Kgsref RFC-205-31 Freight Prepaid
SAFE FOOD CORPORATIONJan 16, 2012Sri Lanka26,000 Kgs2000 CTN
3MSCUKI687985
01X20- Dry Container 1600 Cartons Afghan Selected Pr Ocessed Red Raisins Ref: R FC-204-31 Net Wt: 20,000.00 kg
SAFE FOOD CORPORATIONJun 8, 2011Oman20,800 Kgs1600 CTN
4MSCUKI685435
1600 Cartons Afghan Select Ed Processed Red Raisins R Ef: RFC-203-31 Net Wt: 200 00 kg "Carrier Has No Liability Or Res Ponsibility Whatsoever For Thermal Loss Or Damage To The Goodsby Reason Of Na Tural Variations In Atmosp Heric Temperatures During The Winter Period, And / O R Caused By Inadequate Pac King Of Thegoods For Carr Iage In Dry-Van Containers And / Or Inherent Vice O F The Goods, In Suchtempe Ratures
SAFE FOOD CORPORATIONMay 24, 2011Oman20,800 Kgs1600 CTN
5MSCUKI678901
1600 Cartons Afghan Select Ed Processed Red Raisins R Ef: RFC-202-31 Net Wt: 200 00 kg "Carrier Has No Liability Or Res Ponsibility Whatsoever For Thermal Loss Or Damage To The Goodsby Reason Of Na Tural Variations In Atmosp Heric Temperatures During The Winter Period, And / O R Caused By Inadequate Pac King Of Thegoods For Carr Iage In Dry-Van Containers And / Or Inherent Vice O F The Goods, In Suchtempe Ratures
SAFE FOOD CORPORATIONMay 24, 2011Oman20,800 Kgs1600 CTN

Importers

Total 2
  1. 1
    SAFE FOOD CORPORATION
    New York/Newark Area, Newark, New Jersey · Most Recent Jan 16, 2012
    7 ctrs
    156,000 Kgs
  2. 2
    BEDEMCO WORLDWIDE
    New York/Newark Area, Newark, New Jersey · Most Recent Jun 9, 2010
    1 ctrs
    20,800 Kgs

About

Contact Info
Supplier
Deyanat Limited
Kabul Jalalabad St, Pule Charkhi, Kabul Afghanistan

More data available to paid subscribers

Sample Shipment From Deyanat Limited

Bill of Lading:MOLU14280173139
Arrival Date:

Product

Container Number: FCIU8742460
Cargo #1
Description
2000 Ctn
Keywords
Data Unavailable
HS-Code
Data Unavailable
Piece Count
2000
Cargo #2
Description
Afghan Select
Keywords
afghan select
HS-Code
Data Unavailable
Piece Count
0
Cargo #3
Description
Processed Red Raisins
Keywords
processed red raisins
HS-Code
Data Unavailable
Piece Count
0
Cargo #4
Description
Data Unavailable
Keywords
Data Unavailable
HS-Code
Data Unavailable
Piece Count
0
Cargo #5
Description
Container Consisting Of 2000 Carton
Keywords
Data Unavailable
HS-Code
Data Unavailable
Piece Count
0
Cargo #6
Description
Each Carton 12.50 kg
Keywords
Data Unavailable
HS-Code
Data Unavailable
Piece Count
0
Cargo #7
Description
Total 2000 CARTONS=25,000 kg
Keywords
Data Unavailable
HS-Code
Data Unavailable
Piece Count
0
Cargo #8
Description
Data Unavailable
Keywords
Data Unavailable
HS-Code
Data Unavailable
Piece Count
0
Cargo #9
Description
Ref RFC-206-31
Keywords
Data Unavailable
HS-Code
Data Unavailable
Piece Count
0
Cargo #10
Description
Freight Prepaid
Keywords
Data Unavailable
HS-Code
Data Unavailable
Piece Count
0
Cargo #11
Description
Data Unavailable
Keywords
Data Unavailable
HS-Code
Data Unavailable
Piece Count
0
Cargo #12
Description
Data Unavailable
Keywords
Data Unavailable
HS-Code
Data Unavailable
Piece Count
0
Length
4000
Height
906
Width
800
Load Status
Loaded
Seal
133595A
Equipment Description
00
Type
40 Foot Dry Container, Opening at one or both end
Type of Service
Container Yard
Marks & Numbers
2000 CTN AFGHAN SELECT PROCESSED RED RAISINS CONTAINER CONSISTING OF 2000 CARTONS EACH CARTON 12.50 KGS TOTAL 2000 CARTONS=25000 KGS REF RFC-206-31 FREIGHT PREPAID

Transit

Carrier
MITSUI O S K LINES LTD
Carrier Code
MOLU
Carrier Address
160 FIELDCREST AVE BOX 7804
Carrier Contact Number
Data Unavailable
Ship Registered In
Data Unavailable
Foreign Port
Colombo
Voyage Number
132W
Country of Origin
Sri Lanka
Vessel Name
APL JAPAN
U.S. Port
New York, New York
Master Bill of Lading
Data Unavailable
Weight (LB/KG)
57330 / 26000
Quantity
2000 CTN
Container Count
1
Place of Receipt
KARACHI - CY
Distribution Port
Data Unavailable
House-v-Master
Data Unavailable
Measurement
0 X
In-Bond Entry-Type
00
Bill Type Code
Regular Bill

Company

Importer
SAFE FOOD CORPORATION

115 RIVER ROAD, SUITE 108, EDGEWATER, NJ 07020
Notify Party
SAFE FOOD CORPORATION

115 RIVER RD, EDGEWATER, NJ 7020, USA
Shipper
DEYANAT LTD

KABUL JALALABAD ST, PULE CHARKHI, KABUL AFGHANISTAN

More data available to paid subscribers

Companies people are viewing

Related companies to Deyanat Limited